Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore
Class TraceFrameStoreHandler

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler
          edu.stanford.smi.protege.model.framestore.TraceFrameStoreHandler

All Implemented Interfaces:
  InvocationHandler

    public class TraceFrameStoreHandler

extends AbstractFrameStoreInvocationHandler

Constructor Summary
`TraceFrameStoreHandler()`

Method Summary
`protected void` | `executeQuery(Query q, QueryCallback qc)`
`Object` | `handleInvoke(Method m, Object[] args)`
`static void` | `print(int next, Method method, Object[] args)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler
`getDelegate, getInstance, handleClose, handleReinitialize, invoke, invoke, invoke, isModification, isQuery, newInstance, newInstance, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TraceFrameStoreHandler

    public TraceFrameStoreHandler()

Method Detail

### handleInvoke

    public Object handleInvoke(Method m,
                               Object[] args)

  Specified by:
    `handleInvoke` in class `AbstractFrameStoreInvocationHandler`

### executeQuery

    protected void executeQuery(Query q,
                                QueryCallback qc)

  Specified by:
    `executeQuery` in class `AbstractFrameStoreInvocationHandler`

### print

    public static void print(int next,
                             Method method,
                             Object[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.